<template>
	<div class="detail">
		<div class="content" v-html="content"></div>
	</div>
</template>

<script>
	import { details } from '../../request/api.js'
	export default {
		data() {
			return {
				content: '',
				detail: {}
			}
		},
		created() {
			this.getContent()
		},
		methods:{
			getContent() {
				let obj = this
				let id = this.$route.query.id
				details({},id).then(res => {
					
					obj.content = res.data.content.replace(/width="420" height="280"/g, 'width="812" height="327"')
					console.log(obj.content)
					obj.detail = res.data
				})
				
			}
		}
	}
</script>

<style lang="scss" scoped>
	.title {
		// width: 184px;
		// height: 20px;
		font-size: 20px;
		font-family: PingFang SC;
		font-weight: bold;
		color: #101010;
		text-align: center;
		padding-top: 29px;
	}
	.synopsis {
		padding-top: 26px;
		font-size: 16px;
		font-family: PingFang SC;
		font-weight: bold;
		color: #333333;
	}
</style>
